
Redmine - Defect #3371

Autologin does not work when using openid

2009-05-16 23:20 - Andrew Kouznetsov

Status: Closed Start date: 2009-05-16

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: OpenID Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version:  

Description

After closing my browser authentification gets lost
ruby 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]

rails (2.2.2)

postgres-pr (0.6.1)

PostgreSQL 8.3.7

Associated revisions

Revision 11521 - 2013-03-02 21:38 - Jean-Philippe Lang

Adds autologin param in openid return_to url (#3371).

Revision 11563 - 2013-03-09 10:13 - Jean-Philippe Lang

Merged r11521 from trunk (#3371).

History

#1 - 2009-05-17 00:39 - Andrew Kouznetsov

autologin does not work when i am logging in by my openid url

#2 - 2009-05-17 10:14 - Jean-Philippe Lang

- Assignee set to Eric Davis

#3 - 2009-06-14 10:51 - Jean-Philippe Lang

- Subject changed from Autologin dows not works to Autologin dows not works when using openid

#4 - 2009-11-25 06:57 - Eric Davis

- Category set to Accounts / authentication

- Resolution set to Cant reproduce

I can't reproduce this on the latest trunk version.  Am I testing it correctly?

1. Login as admin

2. Setup OpenID url

3. Logout

4. Login as the OpenID url with "Remember Me"

5. Enter OpenID authentication at OpenID host

6. Logged into Redmine

7. Close browser, clearing session cookies

8. Start browser

9. Visit Redmine

10. Am still logged in from the "Remember Me"

#5 - 2010-01-03 13:58 - Elias Chistyakov

--- app/controllers/account_controller.rb

+++ app/controllers/account_controller.rb

@@ -150,7 +150,7 @@ class AccountController < ApplicationController
   def open_id_authenticate(openid_url)

-    authenticate_with_open_id(openid_url, :required => [:nickname, :fullname, :email], :return_to => signin_u

rl) do |result, identity_url, registration|

+    authenticate_with_open_id(openid_url, :required => [:nickname, :fullname, :email], :return_to => signin_u

rl(:autologin => params[:autologin])) do |result, identity_url, registration|

       if result.successful?

         user = User.find_or_initialize_by_identity_url(identity_url)

         if user.new_record?

#6 - 2010-04-13 13:45 - Andrew Kouznetsov

My session resets each browser restart.

Here: rm.smix.name is clean redmine installation with a couple of projects.

(sorry I don't want search bots to index it)

#7 - 2010-10-06 10:58 - Aron Rotteveel

I actually have the some problem (using myopenid.com). This has never worked for me.

#8 - 2010-10-22 19:26 - Peter Baumgartner

This is present in 1.0.2. edavis10 had this to say in #redmine,

OpenID doesn't work with autologin because of how it comes back to Redmine. Autologin works with normal sessions.

 "cant reproduce" resolution should be removed.

#9 - 2010-10-25 13:08 - Felix Schäfer

- Resolution deleted (Cant reproduce)

#10 - 2010-10-25 16:58 - Eric Davis

- Assignee deleted (Eric Davis)

#11 - 2011-01-28 10:15 - Aron Rotteveel

This issue still exists for me using 1.1.0.stable.4761

#12 - 2011-09-13 10:50 - Etienne Massip

- Category changed from Accounts / authentication to OpenID

#13 - 2012-12-16 23:06 - Andrew Dahl

- File redmine-openid_autologin_fix-DrewDahl-3371.patch added

Elias Chistyakov wrote:

[...]

 I can confirm this bug still exists in 2.1.4.stable and the quoted patch works.  I've attached one that applies to 2.1.4.stable, since that is likely easier

for you.

I tested this with Firefox 17.0.1 and IE9.

To reproduce, I followed Eric Davis route similarly:

1. Login using OpenID url and register user

2. Logout

3. Login with the OpenID url, selecting "Auto Login"

4. Enter OpenID authentication at OpenID host

5. Logged into Redmine

6. Close browser, clearing session cookies

7. Start browser

8. Visit Redmine Homepage (not /login)

9. Am no longer logged in (of course, with the patch, I am.)

Also, if it's relevant, I have auto logins setup to stay current for 7 days.  (Although, I don't think that should matter.)

#14 - 2013-03-02 21:39 - Jean-Philippe Lang

- Subject changed from Autologin dows not works when using openid to Autologin does not work when using openid
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Fixed in r11521.

#15 - 2013-03-09 10:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

redmine-openid_autologin_fix-DrewDahl-3371.patch 1.14 KB 2012-12-16 Andrew Dahl

Powered by TCPDF (www.tcpdf.org)

2025-05-02 3/3

https://www.redmine.org/projects/redmine/repository/svn/revisions/11521
http://www.tcpdf.org

